## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iLightSectorInfluence Struct Reference
[Lighting]

A light-sector influence (LSI). More...

`#include <iengine/lightmgr.h>`

Inheritance diagram for iLightSectorInfluence:

[legend]
List of all members.

## Public Member Functions

virtual const csFrustum * | GetFrustum () const =0
| Get the frustum (can be infinite too).
virtual iLight * | GetLight () const =0
| Get the light.
virtual iSector * | GetSector () const =0
| Get the sector.

## Detailed Description

A light-sector influence (LSI).

Every LSI represents the influence a certain light has on a sector.

Definition at line 40 of file lightmgr.h.

## Member Function Documentation

virtual const csFrustum* iLightSectorInfluence::GetFrustum | ( |  | ) | const`[pure virtual]`

| Get the frustum (can be infinite too).

virtual iLight* iLightSectorInfluence::GetLight | ( |  | ) | const`[pure virtual]`

| Get the light.

virtual iSector* iLightSectorInfluence::GetSector | ( |  | ) | const`[pure virtual]`

| Get the sector.

The documentation for this struct was generated from the following file:

- iengine/lightmgr.h